JUnitTask.JUnitLogOutputStream (Apache Ant API)

Package org.apache.tools.ant.taskdefs.optional.junit

## Class JUnitTask.JUnitLogOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.tools.ant.util.LineOrientedOutputStream
    - - org.apache.tools.ant.taskdefs.LogOutputStream
      - - org.apache.tools.ant.taskdefs.optional.junit.JUnitTask.JUnitLogOutputStream

- All Implemented Interfaces:
    `java.io.Closeable`, `java.io.Flushable`, `java.lang.AutoCloseable`
  Enclosing class:
    JUnitTask

      protected static class JUnitTask.JUnitLogOutputStream
      extends LogOutputStream

  A stream handler for handling the junit task.
  Since:
    Ant 1.7

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JUnitLogOutputStream​(Task task, int level)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `processLine​(java.lang.String line, int level)` | Logs a line.

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.LogOutputStream

      `getMessageLevel, processBuffer, processLine`

    - ### Methods inherited from class org.apache.tools.ant.util.LineOrientedOutputStream

      `close, flush, processLine, write, write`

    - ### Methods inherited from class java.io.OutputStream

      `nullOutputStream, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JUnitLogOutputStream

          public JUnitLogOutputStream​(Task task,
                                      int level)

      Constructor.
      Parameters:
        `task` - the task being logged.
        `level` - the log level used to log data written to this stream.

  - ### Method Detail

    - #### processLine

          protected void processLine​(java.lang.String line,
                                     int level)

      Logs a line. If the line starts with junit.framework.TestListener: set the level to MSG_VERBOSE.
      Overrides:
        `processLine` in class `LogOutputStream`
      Parameters:
        `line` - the line to log.
        `level` - the logging level to use.